Name:           rocksndiamonds
Version:        4.3.8.1
Release:        %mkrel 1
Summary:        A boulderdash like game
Group:          Games/Arcade
License:        GPLv2+
URL:            https://www.artsoft.org/rocksndiamonds/
Source0:        https://www.artsoft.org/RELEASES/linux/rocksndiamonds/%{name}-%{version}-linux.tar.gz
Source1:        %{name}.16.png
Source2:        %{name}.32.png
Source3:        %{name}.48.png
Source4:        %{name}.desktop
Source5:        %{name}.6
Patch0:         rocksndiamonds-4.0.0.1-CVE-2011-4606.patch
Patch1:         rocksndiamonds-4.3.2.1-mga-games-data-and-save-paths.patch

BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_net)

%description
This is a nice little game with color graphics and sound for your
Unix system.

If you know the game "Boulderdash" (Commodore C64) or "Emerald Mine"
(Amiga) or "Supaplex" (PC), you know what "ROCKS'N'DIAMONDS" is about.

%prep
%autosetup -p1

%build
%make_build EXTRA_CFLAGS="%{optflags}" EXTRA_LDFLAGS="%{ldflags}"

%install
# Install stuff
install -D -m755 %{name} %{buildroot}%{_gamesbindir}/%{name}
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a graphics levels sounds music %{buildroot}%{_gamesdatadir}/%{name}

# Own legacy scores dir for users of previous versions.
# If the 'scores' folder is missing (purposedly not installed), scores are saved
# in the user dir, which is better for new users.
install -d %{buildroot}%{_localstatedir}/%{_gamesdir}/%{name}

# Man pages
install -D -m644 %{_sourcedir}/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

# Menu
install -D -m644 %{_sourcedir}/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icon
for size in 16 32 48; do
  install -D -m644 %{_sourcedir}/%{name}.${size}.png \
          %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

%pre
if [ -d %{_gamesdatadir}/%{name}/scores ]; then
  mkdir -p %{_localstatedir}/%{_gamesdir}/%{name}/
  mv %{_gamesdatadir}/%{name}/scores %{_localstatedir}/%{_gamesdir}/%{name}/
fi

%files
%doc CREDITS
%license COPYING
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*
%attr(0755,root,games) %dir %{_localstatedir}/%{_gamesdir}/%{name}


%changelog
* Fri Feb 02 2024 daviddavid <daviddavid> 4.3.8.1-1.mga10
+ Revision: 2036854
- new version: 4.3.8.1

* Sun Dec 10 2023 daviddavid <daviddavid> 4.3.8.0-1.mga10
+ Revision: 2016892
- new version: 4.3.8.0

* Thu Jun 08 2023 daviddavid <daviddavid> 4.3.6.0-1.mga9
+ Revision: 1961332
- new version: 4.3.6.0

* Sun Jan 15 2023 daviddavid <daviddavid> 4.3.4.0-1.mga9
+ Revision: 1933217
- new version: 4.3.4.0

* Sat Sep 10 2022 obgr_seneca <obgr_seneca> 4.3.2.1-1.mga9
+ Revision: 1886443
- New version 4.3.2.1

* Fri Apr 01 2022 umeabot <umeabot> 4.2.2.1-2.mga9
+ Revision: 1839968
- Mageia 9 Mass Rebuild

* Tue Jan 26 2021 akien <akien> 4.2.2.1-1.mga8
+ Revision: 1673418
- Version 4.2.2.1

* Wed Dec 30 2020 akien <akien> 4.2.2.0-1.mga8
+ Revision: 1665745
- Version 4.2.2.0

* Thu Dec 17 2020 akien <akien> 4.2.1.0-1.mga8
+ Revision: 1660147
- Version 4.2.1.0

* Tue Nov 17 2020 akien <akien> 4.2.0.4-1.mga8
+ Revision: 1646835
- Version 4.2.0.4

* Tue Nov 03 2020 akien <akien> 4.2.0.3-1.mga8
+ Revision: 1642238
- Version 4.2.0.3

* Wed Aug 05 2020 joequant <joequant> 4.1.2.0-3.mga8
+ Revision: 1611187
- add common

* Sat Feb 15 2020 umeabot <umeabot> 4.1.2.0-2.mga8
+ Revision: 1525291
- Mageia 8 Mass Rebuild

* Sat Apr 13 2019 daviddavid <daviddavid> 4.1.2.0-1.mga7
+ Revision: 1389589
- new version: 4.1.2.0

* Wed Oct 17 2018 zezinho <zezinho> 4.1.1.0-1.mga7
+ Revision: 1321487
- new version 4.1.1.0

* Sun Sep 23 2018 umeabot <umeabot> 4.1.0.0-2.mga7
+ Revision: 1300843
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 4.1.0.0-1.mga7
+ Revision: 1229478
- Version 4.1.0.0

* Sat Dec 30 2017 akien <akien> 4.0.1.0-1.mga7
+ Revision: 1187748
- Version 4.0.1.0

* Sun Mar 19 2017 akien <akien> 4.0.0.2-1.mga6
+ Revision: 1093566
- Version 4.0.0.2

* Wed Jan 11 2017 akien <akien> 4.0.0.1-1.mga6
+ Revision: 1081083
- Version 4.0.0.1
- No longer install scores folder in /var/lib/rocksndiamonds,
  so that it defaults to user dir for new users.
- Use Mageia linking flags.

* Tue Feb 09 2016 umeabot <umeabot> 3.3.1.2-2.mga6
+ Revision: 952014
- Mageia 6 Mass Rebuild

* Mon Jan 12 2015 akien <akien> 3.3.1.2-1.mga5
+ Revision: 810069
- Install icons in hicolor theme
- Put manpage in category 6 (games)
- Fix unused optflags
- Version 3.3.1.2

* Wed Oct 15 2014 umeabot <umeabot> 3.3.0.1-8.mga5
+ Revision: 738796
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.0.1-7.mga5
+ Revision: 688688
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.3.0.1-6.mga4
+ Revision: 518032
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.3.0.1-5.mga3
+ Revision: 380377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 3.3.0.1-4.mga3
+ Revision: 336081
- Fix BuildRequires to get x86_64 smpeg-devel on x86_64

* Mon Jul 30 2012 luigiwalser <luigiwalser> 3.3.0.1-3.mga3
+ Revision: 276236
- add patch from fedora to fix CVE-2011-4606

* Mon May 09 2011 ahmad <ahmad> 3.3.0.1-2.mga1
+ Revision: 96658
- Drop esound-devel BR; phasing esound from the distro
- Drop X11-devel BR, the necessary x11 devel packages are pulled by SDL-devel
- Drop alsa-lib-devel BR, already pulled by SDL_mixer-devel

* Sun Mar 13 2011 obgr_seneca <obgr_seneca> 3.3.0.1-1.mga1
+ Revision: 70712
- new version 3.3.0.1
- cleaned up spec
- removed buildroot tag
- moved desktop entry to separate file
- imported package rocksndiamonds


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.6.1-3mdv2011.0
+ Revision: 607369
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.6.1-2mdv2010.1
+ Revision: 523925
- rebuilt for 2010.1

* Tue Jun 30 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.6.1-1mdv2010.0
+ Revision: 391100
- update to new version 3.2.6.1

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 3.2.4-2mdv2009.1
+ Revision: 351557
- rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 3.2.4-1mdv2009.0
+ Revision: 218433
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.4-1mdv2008.1
+ Revision: 108339
- update to new version 3.2.4

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Apr 20 2007 Olivier Blin <oblin@mandriva.com> 3.2.3-1mdv2008.0
+ Revision: 15620
- 3.2.3
- Import rocksndiamonds



* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 3.1.1-4mdv2007.0
- xdg menu
- fix buildrequires

* Sat Nov  5 2005 Olivier Blin <oblin@mandriva.com> 3.1.1-3mdk
- kill Patch0 (we already override options)
- specify game data dir in Makefile (#19627)
- kill wrapper script (the game now knows its data dir)
- specify game rw dir in Makefile (cleaner for scores)

* Mon Oct 17 2005 Olivier Blin <oblin@mandriva.com> 3.1.1-2mdk
- fix upgrade by moving scores to /var (#19213)

* Tue Oct 11 2005 Eskild Hustvedt <eskild@mandriva.org> 3.1.1-1mdk
- New version 3.1.1
- Renamed real executeable to .real
- Moved highscores to /var/games/rocksndiamonds
- A little cleanup

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-3mdk
- REbuild with new menu

* Thu Jul 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.0-2mdk
- fix buildrequires

* Thu Jul  8 2004 Michael Scherer <misc@mandrake.org> 3.1.0-1mdk
- New release 3.1.0

* Fri May 14 2004 Michael Scherer <misc@mandrake.org> 3.0.8-1mdk
- New release 3.0.8

* Thu Oct 16 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.6-1mdk
- 3.0.6
- cosmetics

* Thu Aug 28 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0.2-1mdk
- new version

* Wed Aug 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0.0-1mdk
- new version

* Mon Jul 21 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.0.0-11mdk
- rebuild
- convert xpm icons to png icons
- change summary macro to avoid possible conflicts if we were to build debug package

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-10mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-9mdk
- Automated rebuild with gcc3.2

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-8mdk
- recompile against new vorbis stuff

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-7mdk
- rebuild for new alsa

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-6mdk
- BuildRequires

* Fri Oct 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-5mdk
- rebuild for libpng3
- fix large-icon-not-in-package
- include man page

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-4mdk
- rebuild

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-3mdk
- revert Dadouification
- new SDL

* Sat Mar 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.0-2mdk
- PPC: build with gcc

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-1mdk
- 2.0.0 (many new goodies, including networked multiplayer)

* Sun Nov 05 2000 David BAUDENS <baudens@mandrakesoft.com> 1.4.0-5mdk
- Fix build for PPC

* Thu Oct 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-4mdk
- fix compile with gcc-2.96

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.0-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-1mdk
- first package for Linux-Mandrake
